MMAGSImprove = {}
 
MMAGSImprove.name = "MMAGSImprove"

local function updater ()
    if MasterMerchant == nil then
        zo_callLater(updater, 10000)
    else
        local orig = MasterMerchant.DealCalc
        MasterMerchant.DealCalc = function (price, count, ...) 
            local deal, margin, profit = orig(price, count, ...)
            if count == 0 then
                return 0, margin, profit
            else
                return deal, margin, profit
            end
        end
    end
end

function MMAGSImprove:Initialize()
    if MasterMerchant == nil then
        zo_callLater(updater, 10000)
    else
        updater()
    end
end
 
function MMAGSImprove.OnAddOnLoaded(event, addonName)
    if addonName == MMAGSImprove.name then
        MMAGSImprove:Initialize()
    end
end
 
EVENT_MANAGER:RegisterForEvent(MMAGSImprove.name, EVENT_ADD_ON_LOADED, MMAGSImprove.OnAddOnLoaded)
